/* Global Reset with Universal Selector */

/* FLOATS DESIGN */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  color: #444;
  font-family: sans-serif;
  border-top: 10px solid #1098ad;
  position: relative;
}

/* Color Headings */
h1,
h2,
h3 {
  color: #1098ad;
}

/* Box heading h1 */
h1 {
  font-size: 26px;
  text-transform: uppercase;
  font-style: italic;
  float: left;
}

/* styling Pseudo-elements*/
h1::first-letter {
  font-style: normal;
  margin-right: 5px;
}

/* Box heading h2 */
h2 {
  font-size: 40px;
  margin-bottom: 30px;
  position: relative;
}

/* THE PSEUDO-AFTER AND BEFORE ELEMENT */
h2::after {
  content: "TOP";
  background-color: #ffe70e;
  color: #000;
  font-size: 18px;
  padding: 5px 10px;
  position: absolute;
  /* display: inline-block; */
  right: -25px;
  top: -10px;
}
/* Box heading h3 */
h3 {
  font-size: 30px;
  margin-top: 40px;
  margin-bottom: 20px;
}

/* Box heading h4 */
h4 {
  font-size: 20px;
  margin-bottom: 30px;
  text-transform: uppercase;
  text-align: center;
}

/* Paragraph Box */
p {
  font-size: 22px;
  line-height: 1.5;
  margin-bottom: 15px;
}

/* Aside Article Element */

/* FLOAT DESIGN */
aside {
  background-color: #f7f7f7;
  border-top: 5px solid #1098ad;
  border-bottom: 5px solid #1098ad;
  padding: 50px 40px;
  align-self: start;
}

footer {
  /* CSS GRID */
  grid-column: 1/-1;
}

/* Links Box  */

a:link {
  color: #1098ad;
  text-decoration: none;
}

a:visited {
  color: #1098ad;
}

a:hover {
  color: #5d09edad;
  font-weight: bold;
  text-decoration: underline #5d09edad;
}

a:active {
  background-color: #0000;
  font-style: italic;
}

/* Box of List Elements */
li {
  font-size: 21px;
  margin-bottom: 10px;
}

li:last-child {
  margin-bottom: 0;
}

/* Ordered and Unordered elements */
ul,
ol {
  margin-left: 50px;
  margin-bottom: 20px;
}

/* Style the navigation semantic element */
nav a:link {
  margin-right: 30px;
  /* margin-top: 10px; */
  display: inline-block;
}

/* style the last child of navigation */
nav a:link:last-child {
  margin-right: 0;
}

/* FLOAT DESIGN */
nav {
  float: right;
}

/* styling the like button */
button {
  font-size: 22px;
  padding: 20px;
  position: absolute;
  bottom: 50px;
  right: 50px;
}

#copyright {
  font-size: 16px;
}

#author {
  font-style: italic;
}

.related-author {
  font-size: 18px;
  font-weight: bold;
}

.related {
  list-style: none;
  margin-left: 0;
}
/* Box header title 1 */
.main-header {
  background-color: #f7f7f7;
  padding: 20px 40px;
  margin-bottom: 20px;

  /* CSS GRID */
  grid-column: 1 / -1;
}

/* Box Header 2 */
.post-header {
  margin-bottom: 40px;
}

/* CONTAINER OF PAUL IMAGE AND ITS PARAGRAPH */
.author-box {
  display: flex;
}

.post-author {
  margin-bottom: 10px;
}

/* 2nd Image Class Box */
.post-image {
  width: 100%;
  height: auto;
}

/* CENTERING PAGE: CREATE NONE-SEMENTIC ELEMENT
AND CONTAINER div */
.container {
  width: 1200px;
  margin: 0 auto;

  /* CSS GRID LAYOUTS */
  display: grid;
  grid-template-columns: 1fr 300px;
  column-gap: 75px;
  row-gap: 60px;
}
/* FLOAT DESIGN */
.author {
  margin-bottom: 0;
  margin-left: 15px;

  /* FLEXBOX DESIGN */
  align-self: center;
}

.related-post {
  display: flex;
  align-items: center;
  margin-bottom: 30px;
  gap: 20px;
}

.related-author {
  margin-bottom: 0;
  font-weight: normal;
  font-size: 14px;
  font-style: italic;
}

.related-link:link {
  font-size: 17px;
  font-weight: bold;
  font-style: normal;
  margin-bottom: 5px;
  display: block;
}
